package cn.wise.sc.consume.business;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;
import org.springframework.web.client.RestTemplate;
import springfox.documentation.swagger2.annotations.EnableSwagger2;

import java.util.TimeZone;

/**
 * 启动类
 * 
 * @author zhutianwei
 *
 */
@SpringBootApplication
@MapperScan("cn.wise.sc.consume.business.mapper")
public class SecurityApplication {

	public static void main(String[] args) {
		// 系统默认的时区
		TimeZone.setDefault(TimeZone.getTimeZone("Asia/Shanghai"));
		SpringApplication.run(SecurityApplication.class, args);
	}

	@Bean
	public RestTemplate restTemplate(){
		return new RestTemplate();
	}



}
