package cn.wise.sc.consume.business.mapper;

import cn.wise.sc.consume.business.entity.RefEntityEnclosure;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author ztw
 * @since 2020-08-03
 */
public interface RefEntityEnclosureMapper extends BaseMapper<RefEntityEnclosure> {

	int deleteByPrimaryKey(Long id);

	int insert(RefEntityEnclosure record);

	int insertSelective(RefEntityEnclosure record);

	RefEntityEnclosure selectByPrimaryKey(Long id);

	int updateByPrimaryKeySelective(RefEntityEnclosure record);

	int updateByPrimaryKey(RefEntityEnclosure record);

	@Select("select * from ref_entity_enclosure  ree\n" +
			"where ree.is_deleted=1 and ree.entity_type=#{entityType} and ree.entity_id=#{entityId}")
	List<RefEntityEnclosure> getList(@Param("entityType")Integer entityType, @Param("entityId")Long entityId);

	@Delete("delete from ref_entity_enclosure  where enclosure_url = #{enclosureUrl} ")
	int deleteByUrl(String enclosureUrl);
}
